Create a reservation service resource

Links a resource to a service.

Endpoint

POST
/reservation-service-resources

Body

FieldTypeRequiredDescription
organization_idintegerYesYour organization ID (the API key's organization).
service_idintegerYesService ID.
resource_idintegerYesResource ID.
assignment_modestringNorequired (default), optional or any_available.
quantity_requiredintegerNoCapacity used per reservation. Default 1.
priorityintegerNoDefault 0.

Request

Response

Returns the created service resource object.

json

Errors

StatusWhen
400 Bad RequestMissing required field or invalid assignment_mode.
403 Forbiddenorganization_id is not the API key's organization.

Report an issue with this documentation

Please log in to report issues with our documentation.